> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlink Strategy Asset



## OpenAPI

````yaml https://api.truestate.io/openapi.json delete /strategy-memory/{artifact_key}/assets/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /strategy-memory/{artifact_key}/assets/:
    delete:
      tags:
        - strategy-memory
      summary: Unlink Strategy Asset
      operationId: unlink_strategy_asset_strategy_memory__artifact_key__assets__delete
      parameters:
        - name: artifact_key
          in: path
          required: true
          schema:
            type: string
            title: Artifact Key
        - name: asset_type
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/StrategyAssetType'
        - name: asset_id
          in: query
          required: true
          schema:
            type: string
            title: Asset Id
        - name: relationship_type
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/StrategyArtifactAssetLinkType'
            default: related
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StrategyArtifactAssetLinkRead'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    StrategyAssetType:
      type: string
      enum:
        - automation
        - connection
        - dashboard
        - dataset
        - deployment
        - document
        - feature
        - model
        - ontology
        - pipeline
        - report
      title: StrategyAssetType
    StrategyArtifactAssetLinkType:
      type: string
      enum:
        - supports
        - requires
        - depends_on
        - implements
        - measures
        - evidence
        - blocks
        - related
      title: StrategyArtifactAssetLinkType
    StrategyArtifactAssetLinkRead:
      properties:
        asset_type:
          $ref: '#/components/schemas/StrategyAssetType'
        asset_id:
          type: string
          maxLength: 255
          minLength: 1
          title: Asset Id
          description: Stable id/key/name of the associated asset or memory item.
        asset_name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Asset Name
        relationship_type:
          $ref: '#/components/schemas/StrategyArtifactAssetLinkType'
          default: related
        usage_notes:
          anyOf:
            - type: string
              maxLength: 4000
            - type: 'null'
          title: Usage Notes
        annotations:
          additionalProperties: true
          type: object
          title: Annotations
        id:
          type: string
          format: uuid
          title: Id
        artifact_id:
          type: string
          format: uuid
          title: Artifact Id
        organisation_id:
          type: string
          title: Organisation Id
        created_by_member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By Member Id
        updated_by_member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Updated By Member Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - asset_type
        - asset_id
        - id
        - artifact_id
        - organisation_id
        - created_at
        - updated_at
      title: StrategyArtifactAssetLinkRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````